### Method

# Cogl FrameInfo get_refresh_rate

#### Declaration [src]

    float
    cogl_frame_info_get_refresh_rate (
      CoglFrameInfo* info
    )

#### Description [src]

Gets the refresh rate in Hertz for the output that the frame was on at the time the frame was presented.

Some platforms can’t associate a `CoglOutput` with a `CoglFrameInfo` object but are able to report a refresh rate via this api. Therefore if you need this information then this api is more reliable than using `cogl_frame_info_get_output()` followed by cogl_output_get_refresh_rate().

#### Return value

Type: `float`

The refresh rate in Hertz.